package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author
 * @version 1.0
 * @description:工时详细记录表
 * @date 2022/9/21 14:28
 */
@Data
public class ManHourJobVo {
    /**
     * 工作日期
     */
    private Date manufactureDate;

    /**
     * 工作时长（小时）
     */
    private BigDecimal manHour;
    /**
     * 工作内容
     */
    private String jobContent;


    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getManufactureDate() {
        return manufactureDate;
    }

    public void setManufactureDate(Date manufactureDate) {
        this.manufactureDate = manufactureDate;
    }

    public BigDecimal getManHour() {
        return manHour;
    }

    public void setManHour(BigDecimal manHour) {
        this.manHour = manHour;
    }

    public String getJobContent() {
        return jobContent;
    }

    public void setJobContent(String jobContent) {
        this.jobContent = jobContent;
    }

}
